Hello Everyone, I have a dilema. I cant seem to get one method to work. It is the ..BlankRefGeom method. Here is the code: Dim swApp As Object Dim Part As Object Dim subFeat As Object Dim featureName, subFeatureName As String Dim FeatureIncrement As Integer Dim selmgr As SelectionMgr Dim Feature As Object Dim PlaneRef As ModelDoc2 Dim Plane As Component2 Sub main() Set swApp = CreateObject("SldWorks.Application") Set Part = swApp.ActiveDoc Set Feature = Part.FirstFeature While Not Feature Is Nothing If Feature.GetTypeName = "RefPlane" Then Plane = Feature.GetSelectedObjectsComponent() PlaneRef = Plane.GetModelDoc PlaneRef.BlankRefGeom End If Set Feature = Feature.GetNextFeature() Wend Part.ForceRebuild3 (True) Set swApp = Application.SldWorks End Sub I have tried using many different kinds of objects with the command but it doesnt seem to be recognized. The code is designed to go through the model tree manager and select each reference plane it comes across and hides it. The idea being I could integrate it into a save command so when I open assemblies the 3000+ reference planes from the various parts wont be visible. Thanks for your help.